package service

import (
	"reflect"

	cda "git.loafle.net/commons_go/di/annotation"
	cdr "git.loafle.net/commons_go/di/registry"
)

func init() {
	cdr.RegisterType(reflect.TypeOf((*LogService)(nil)))
}

type LogService struct {
	cda.TypeAnnotation `annotation:"@overFlow:Service()"`
}

func (ls *LogService) Send() error {
	return nil
}
